// JavaScript Document

//menue菜单
  function initMenu() {
  $('#jiajuList div').hide();
  $('#jiajuList div:first').show();
  $('#jiajuList table').click(
    function() {
      var checkElement = $(this).next();
	  $(this).attr("class","").addClass("menueList_click");
	  $(this).siblings("table").attr("class","").addClass("menueList_default");
      if((checkElement.is('div')) && (checkElement.is(':visible'))) {
        return false;
        }
      if((checkElement.is('div')) && (!checkElement.is(':visible'))) {
        $('#jiajuList div:visible').slideUp('normal');
        checkElement.slideDown('normal');
        return false;
        }
      }
    );
  }
  
   function initMenu1() {
  $('#sallOrder dd').hide();
  $('#sallOrder dd:first').show();
  $('#sallOrder dt').hover(
    function() {
      var checkElement = $(this).next();
	  $(this).attr("class","").addClass("down");
	  $(this).siblings("dt").attr("class","").addClass("default");
      if((checkElement.is('dd')) && (checkElement.is(':visible'))) {
        return false;
        }
      if((checkElement.is('dd')) && (!checkElement.is(':visible'))) {
        $('#sallOrder dd:visible').hide();
        checkElement.show();
        return false;
        }
      },
	   function() {
      var checkElement = $(this).next();
	  $(this).attr("class","").addClass("down");
	  $(this).siblings("dt").attr("class","").addClass("default");
      if((checkElement.is('dd')) && (checkElement.is(':visible'))) {
        return false;
        }
      if((checkElement.is('dd')) && (!checkElement.is(':visible'))) {
        $('#sallOrder dd:visible').show();
        checkElement.hide();
        return false;
        }
      }
    );
  }

$(function(){
	//导航~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	$('#nav dl').hide();
	$('#nav div').hover(function() {
      var checkElement = $(this).next();
      if((checkElement.is('dl')) && (checkElement.is(':visible'))) {
        return false;
        }
      if((checkElement.is('dl')) && (!checkElement.is(':visible'))) {
        $('#nav dl:visible').slideUp('normal');
        checkElement.slideDown('normal');
        return false;
        }					  
	},function() {
		checkElement.slideUp('normal');
	});
	$('#nav dl').hover(function() {
      	$(this).slideDown('normal');				  
	},function() {
		$(this).slideUp('normal');
	});
	//家居用品
	initMenu();	
	//销售排行
	initMenu1()
	//hover_menue();
})